Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Benedikt Boehm (hollow)" <hollow@g.o>
Subject: gentoo-x86 commit in dev-libs/apr-util: ChangeLog apr-util-1.2.10.ebuild
Date: Sun, 09 Sep 2007 07:14:49 +0000
hollow      07/09/09 07:14:49

  Modified:             ChangeLog apr-util-1.2.10.ebuild
  Log:
  fix #188485
  (Portage version: 2.1.3.7)

Revision  Changes    Path
1.97                 dev-libs/apr-util/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-libs/apr-util/ChangeLog?rev=1.97&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-libs/apr-util/ChangeLog?rev=1.97&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-libs/apr-util/ChangeLog?r1=1.96&r2=1.97

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/apr-util/ChangeLog,v
retrieving revision 1.96
retrieving revision 1.97
diff -u -r1.96 -r1.97
--- ChangeLog	8 Sep 2007 20:06:43 -0000	1.96
+++ ChangeLog	9 Sep 2007 07:14:48 -0000	1.97
@@ -1,6 +1,9 @@
 # ChangeLog for dev-libs/apr-util
 # Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/apr-util/ChangeLog,v 1.96 2007/09/08 20:06:43 hollow Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/apr-util/ChangeLog,v 1.97 2007/09/09 07:14:48 hollow Exp $
+
+  09 Sep 2007; Benedikt Böhm <hollow@g.o> apr-util-1.2.10.ebuild:
+  fix #188485
 
 *apr-util-1.2.10 (08 Sep 2007)
 



1.2                  dev-libs/apr-util/apr-util-1.2.10.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-libs/apr-util/apr-util-1.2.10.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-libs/apr-util/apr-util-1.2.10.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-libs/apr-util/apr-util-1.2.10.ebuild?r1=1.1&r2=1.2

Index: apr-util-1.2.10.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/apr-util/apr-util-1.2.10.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- apr-util-1.2.10.ebuild	8 Sep 2007 20:06:43 -0000	1.1
+++ apr-util-1.2.10.ebuild	9 Sep 2007 07:14:48 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/apr-util/apr-util-1.2.10.ebuild,v 1.1 2007/09/08 20:06:43 hollow Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/apr-util/apr-util-1.2.10.ebuild,v 1.2 2007/09/09 07:14:48 hollow Exp $
 
 inherit autotools eutils flag-o-matic libtool db-use
 
@@ -16,12 +16,13 @@
 LICENSE="Apache-2.0"
 SLOT="1"
 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-IUSE="berkdb gdbm ldap mysql postgres sqlite sqlite3"
+IUSE="berkdb doc gdbm ldap mysql postgres sqlite sqlite3"
 RESTRICT="test"
 
 DEPEND="dev-libs/expat
 	>=dev-libs/apr-${PV}
 	berkdb? ( =sys-libs/db-4* )
+	doc? ( app-doc/doxygen )
 	gdbm? ( sys-libs/gdbm )
 	ldap? ( =net-nds/openldap-2* )
 	mysql? ( =virtual/mysql-5* )
@@ -68,6 +69,10 @@
 		${myconf} || die "econf failed!"
 
 	emake || die "emake failed!"
+
+	if use doc; then
+		emake dox || die "make dox failed"
+	fi
 }
 
 src_install() {
@@ -75,6 +80,10 @@
 
 	dodoc CHANGES NOTICE
 
+	if use doc; then
+		dohtml docs/dox/html/* || die
+	fi
+
 	# This file is only used on AIX systems, which gentoo is not,
 	# and causes collisions between the SLOTs, so kill it
 	rm "${D}"/usr/$(get_libdir)/aprutil.exp



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in dev-libs/apr-util: ChangeLog apr-util-1.2.10.ebuild
Next by thread:
gentoo-x86 commit in dev-libs/apr-util: ChangeLog apr-util-1.2.10.ebuild
Previous by date:
gentoo-x86 commit in dev-libs/apr: apr-1.2.11.ebuild ChangeLog
Next by date:
gentoo-x86 commit in sys-apps/watchdog: ChangeLog watchdog-5.4_p1.ebuild


Updated Apr 03, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.